Subject: [Tls-reg-review] [IANA #1182755] expert review for draft-ietf-quic-http (tls-extensiontype-values)

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Mon, 16 Nov 2020 21:29:14 +0000

Hi Rich, Yoav, Nick,

Can you review the TLS ALPN Protocol ID registration in this document for us?

https://tools.ietf.org/html/draft-ietf-quic-http

We'll wait for at least two of you to approve before we mark this document "IANA OK" in the Datatracker.

The deadline for reviews would be December 7th, according to RFC 8447.

Thanks,

Sabrina Tanamal
Senior IANA Services Specialist

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 17 Nov 2020 05:36:32 +0000

So section 11.1 adds "h3" as an ALPN value.  I'm fine with it.  I'd prefer the other two approve since the author also works for Akamai. :)

On 11/16/20, 4:29 PM, "Sabrina Tanamal via RT" <[email-masked]> wrote:

    Hi Rich, Yoav, Nick,

    https://urldefense.com/v3/__https://tools.ietf.org/html/draft-ietf-quic-http__;!!GjvTz_vk!BB9Cez_2w8PVDbSYn3JfNHCX1xFXcIr2wZlh-fGyTVYsuOyKG3nCEpvb4wj_$ 

    Thanks,

    Sabrina Tanamal

    _______________________________________________
    tls-reg-review mailing list
    [email-masked]
    https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/tls-reg-review__;!!GjvTz_vk!BB9Cez_2w8PVDbSYn3JfNHCX1xFXcIr2wZlh-fGyTVYsuOyKG3nCEkCNqFsC$

---

From: Yoav Nir <[email-masked]>
Date: Tue, 17 Nov 2020 10:10:54 +0200

They’ve been calling QUIC HTTP 3 for a while now.  Since HTTP/2 got “h2” it makes sense that HTTP 3 gets “h3”.

Approved.

And I’m not sure why approving this would be related to Akamai more than it does to Cloudflare.  It could be a conspiracy of the entire CDN industry :-)

> On 17 Nov 2020, at 7:36, Salz, Rich <rsalz=[email-masked]> wrote:
> 
> https://www.ietf.org/mailman/listinfo/tls-reg-review

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 17 Nov 2020 08:31:06 +0000

I just try not to approve anything from a colleague.  Avoids perception of conflict of interest.

On 11/17/20, 3:11 AM, "Yoav Nir" <[email-masked]> wrote:

    Approved.

    > https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/tls-reg-review__;!!GjvTz_vk!Dg4t7JgMOZefYBHw9dNe2NKfVhP8syCM2C5aFa8ARtUHnlvl28c-bFP-7F1I$